/* -*- c++ -*- */
#include "builtin.h"

#ifdef _MSC_VER

#include <iostream>

std::istream &operator >>(std::istream &istm, LONGLONG &value) {
  char buf[256];
  istm.getline(buf, sizeof(buf));
  if (sscanf(buf, "%I64d", &value) != 1)
    throw aka::internal_error();
  return istm;
}

#endif /* _MSC_VER */
